---
title: "Admin Autocomplete Room Name for Private and Public Rooms"
slug: "admin-autocomplete-room-name-for-private-and-public-rooms"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin Autocomplete Room Name for Private and Public Rooms

Get/api/v1/rooms.autocomplete.adminRooms

List public and private rooms whose names match a given string, excluding [DMs](https://docs.rocket.chat/docs/direct-messages), and [omnichannel rooms](https://docs.rocket.chat/docs/omnichannel). This endpoint is valuable when performing search operations. Only workspace administrators can use it. Any one of the following permissions are required:

- `view-room-administration`
- `can-audit`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersselectorstringRequired

The term to be completed. It applies to room name and display name.

Example{"name":"ran"}

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='9a0af55f-a509-492e-a267-26a453c3e02e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6ad5f550-8784-41e4-8d3b-ce53ca619cfa'>Success</option>
</select>Success

```json
{
  "items": [
    {
      "_id": "664f0d815df46832f75b1877",
      "fname": "rangig",
      "name": "Ch9xkYwGHnsLe7CQR",
      "t": "c"
    },
    {
      "_id": "664f0d525df46832f75b1860",
      "fname": "rancher",
      "name": "rancher",
      "t": "p"
    },
    {
      "_id": "6630e94ad2226209149c67e2",
      "fname": "random",
      "name": "random",
      "t": "c"
    }
  ],
  "success": true
}
```

Expand Allobject  items Array of object   object  _idstring    
fnamestring    
namestring    
tstring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='9cf747e1-5a93-45f9-8231-9fb550ba5c79'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='40a62855-10d9-49b5-acc1-d282a713a2f5'>Selector Param Required</option>
</select>Selector Param Required

```json
{
  "success": false,
  "error": "The 'selector' param is required"
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c4ecdebc-2c42-4da5-828c-4f1e9d069b7c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='d926df7a-da79-4635-bc42-97e035bbcd33'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
